/* ==========================================================================
# Slide From Header Bottom search general style - start
========================================================================== */

.mkdf-slide-from-header-bottom-holder {
    position: absolute;
    top: 100%;
    right: 0;
    width: 300px;
    display: none;
    padding: 0 20px;
    margin: 0;
    background-color: #fff;
    border-top: 4px solid $first-main-color;
    overflow: hidden;
    z-index: 9999;
    box-sizing: border-box;
    
    .mkdf-fixed-header-appear &,
    .mkdf-sticky-header-appear &,
    .mkdf-mobile-header.mobile-header-appear & {
        position: fixed;
    }

    .mkdf-form-holder {
        @include mkdfRelativeHolderLayout;
        box-sizing: border-box;

        .mkdf-search-field,
        .mkdf-search-submit {
            position: relative;
            display: inline-block;
            vertical-align: top;
            float: left;
            margin: 0;
            height: 46px;
            line-height: 42px;
            color: $default-text-color;
            background-color: transparent;
            border: 0;
            border-radius: 0;
            outline: 0;
            -webkit-appearance: none;
            box-sizing: border-box;
            @include mkdfTransition(color 0.2s ease-out);
        }

        .mkdf-search-field {
            width: calc(100% - 20px);
            padding: 0 10px 0 0;
            font-family: inherit;
            font-size: 12px;
            color: #b9b9b9;

            &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
                color: #b9b9b9;
            }
            &::-moz-placeholder { /* Firefox 19+ */
                color: #b9b9b9;
            }
            &:-ms-input-placeholder { /* IE 10+ */
                color: #b9b9b9;
            }
            &:-moz-placeholder { /* Firefox 18- */
                color: #b9b9b9;
            }

            &:focus {
                color: $default-text-color;
            }
        }

        .mkdf-search-submit {
            width: 20px;
            padding: 0;
            font-size: 16px;
            cursor: pointer;
            color: #b9b9b9;

            span {
                display: block;
                line-height: inherit;

                &:before {
                    display: block;
                    line-height: inherit;
                }
            }

            &:hover {
                color: $default-text-color;
            }
        }
    }
}
/* ==========================================================================
# Slide From Header Bottom search general style - end
========================================================================== */